# httpq
Dumb simple http message queue for passing values between scripts. It's very useful but will currently let you shoot your foot off. There's no queue size limits, no retry after, probably a bug in the locking, but it does mostly work.

Queues are named by the path: `/<queue name>`. Content is the text body of a POST. A GET against the same path will return the messages in order. GET requests against `/` return queue stats:
```
Total queues: 2
Counts: {"bar": 0, "foo": 12}
```

It listens on port 8000 by default. This can be changed with an environment variable:
```
$ ROCKET_PORT=8888 ./httpq

PS>  $env:ROCKET_PORT=8888; .\httpq.exe

cmd> set ROCKET_PORT=8888
cmd> .\httpq.exe
```
